- Qt 5.15
- Qt Quick
- C++ Classes
- NativeTexture
- Qt 5.15.19 Reference Documentation

# NativeTexture Struct

struct QSGTexture::NativeTexture

Contains information about the underlying native resources of a texture. More...

This struct was introduced in Qt 5.15.

- List of all members, including inherited members

## Public Variables

int | layout
const void * | object

## Detailed Description

## Member Variable Documentation

### int NativeTexture::layout

Specifies the current image layout for APIs like Vulkan.

For Vulkan, `layout` contains a `VkImageLayout` value.

### const void *NativeTexture::object

This variable holds a pointer to the native object handle.

With OpenGL, the native handle is a GLuint value, so `object` is then a pointer to a GLuint. With Vulkan, the native handle is a VkImage, so `object` is a pointer to a VkImage. With Direct3D 11 and Metal `object` is a pointer to a ID3D11Texture2D or MTLTexture pointer, respectively.

Note: Pay attention to the fact that object is always a pointer to the native texture handle type, even if the native type itself is a pointer.